Bug 828609 - [abrt] evolution-data-server-3.4.1-2.fc17: g_type_check_instance_cast: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.4.1-2.fc17: g_type_check_instance_cast: Proces...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:e3d0aab949b34cccb82cd17819d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 21:40 EDT by marciobraz2010
Modified: 2013-07-31 23:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.18 KB, text/plain)
2012-06-04 21:40 EDT, marciobraz2010
no flags Details
File: maps (39.05 KB, text/plain)
2012-06-04 21:40 EDT, marciobraz2010
no flags Details
File: dso_list (8.50 KB, text/plain)
2012-06-04 21:40 EDT, marciobraz2010
no flags Details

  None (edit)
Description marciobraz2010 2012-06-04 21:40:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.3.7-1.fc17.x86_64
pid:            7472
pwd:            /
time:           Seg 04 Jun 2012 22:31:50 BRT
uid:            1000
username:       Marcio
var_log_messages: Jun  4 22:31:50 marciodepaula abrt[7487]: Saved core dump of pid 7472 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-06-04-22:31:50-7472 (47595520 bytes)
xsession_errors: 

backtrace:      Text file, 32956 bytes
dso_list:       Text file, 8703 bytes
maps:           Text file, 39989 bytes

build_ids:
:92a26ae19d0be2b5859c8b97e0dce6ff5b7b8b69
:c78e74dad13b72dfad107a962ca2071b5d5ad8c8
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:1a262290abc47e43b15d179c909c389831958b90
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572
:350920b52e92655cdb258fa5f96fe7004ad07a52
:de022a6c73534bb11f7963ef6434df0a99705ccb
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:6e4122602d170ea6392003c567ac48bacdcb5e7b
:de52fc4190e05ca9cd18c0c403d9fe85cab2fb99
:d804f8ee47797da9213a92f00cd095ecada8d79f
:44174defe79b7afeae13d84e8fd127af1fd1b939
:4b044fe80e4c1b69986abc4b160c303048005d4e
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:ee7538132f578365c0774ef7dc789d8cba51aff7
:c1b1c7d73bf3b09830961280f34c9b5bcb36d137
:a7bc27f418bbacc240181eb0294dd00f36650d94
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:99c23b21038c62b0628b93610fb54c5900c40ffd
:3d60535f052babb998bae4807bc992c5d15df5c4
:c31990506eb5651de12f2a715f16f944fba1cd12
:a48a153ef63aaf23e1349196f0ca185bcf42397e
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:2d920fc18d5d62c399484534249b104e12049777
:30e315a1c7327aaffd273a717f82fb7274940f38
:c7208a0699747d12af5b7ac1cdbc66ceaa03f779
:faca16f15d87b83d2947a386e319b02f724dcbb5
:091927b7a315243a2ff0383dfca1fd2c665405bf
:ab9af0d6917679640626d76204213ded655036c6
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:31243d0d107bba586a96433c76c87a26db1e826c
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:4ce5d237811776cdfcb3a7e533e6772bf24eb925
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:87163e16f54ab421bb34433e983acb30eb0c109f
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:247132297f287226a24c12e683292f5c94013066
:8b33feb27b2125997520fdd21c90c42a65e438f1
:9996d774b0b770e2ff703c6567075b18e3c3d9fc
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:b277af36744327e3d58eae76bcdaadcca71a28c6
:cc6ddca378f2a9b794df14716bb32824af47b0b8
:3c0f13a2e8cce72d390526b393c127243388f47a
:127f8958b602715234a02b88adb08afd9e34c203
:06d18cd846f16444795d6939117459ee226ef0b1
:508cf66f72e70054a41215f80ed2385c6bb80030
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:73777e822e00ca152ffca281ab0ace0cb498ec48
:8f1c8e7a9290087a1de608de917e41455f885af0
:4d09d82785dab5f95c01b69bc0785145a5954d30
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:365970e3dc0d6323d5b7de1f68bbdfc164ac5907
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Marcio/2

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x30e7c g_type_check_instance_cast libgobject-2.0.so.0 -
:ab9af0d6917679640626d76204213ded655036c6 0x7540 - libecalbackendcontacts.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-azez0pUAFV,guid=75d0deef6754a046ec056f6f0000005e
:XDG_RUNTIME_DIR=/run/user/Marcio
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/Marcio/keyring-ycffqD/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/927,unix/unix:/tmp/.ICE-unix/927
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=1
:USERNAME=Marcio
:GDMSESSION=gnome
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/Marcio/keyring-ycffqD/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-azez0pUAFV,guid=75d0deef6754a046ec056f6f0000005e
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-Marcio-tmTHZP/database
:USER=Marcio
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=923
:SHLVL=1
:PWD=/home/Marcio
:GNOME_KEYRING_CONTROL=/run/user/Marcio/keyring-ycffqD
:LANG=pt_BR.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=Marcio
:HOME=/home/Marcio

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31354                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31354                31354                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[32477]
:pos:	0
:flags:	04002
:7:socket:[46825]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Geral
:=================================
:UUID: 57cf1ae5-db53-499a-bf13-884476584d20
:SO: Fedora release 17 (Beefy Miracle)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.UTF-8
:Plataforma: x86_64
:BogoMIPS: 6200.03
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i3-2100 CPU @ 3.10GHz
:Versão da CPU: 7
:Família da CPU: 6
:Modelo da CPU: 42
:Número de CPUs: 4
:Velocidade da CPU: 3100
:Memória do sistema: 3938
:Swap do sistema: 5983
:Fabricante: MSI
:Sistema: MS-7680 3.0
:Fator de uso: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(6505:8290:5218:30336) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(32902:7202:5218:30336) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7168:5218:30336) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
:(32902:7184:5218:30336) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7260:5218:30336) pci, None, PCI/ISA, H61 Express Chipset Family LPC Controller
:(32902:7192:5218:30336) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:5218:30336) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3043:6618:4448) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(32902:7176:5218:30336) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
:(4318:2661:6618:4448) pci, nvidia, VIDEO, GT218 [GeForce 210]
:(32902:7213:5218:30336) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5218:30336) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:32902:256) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5218:30336) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:32902:257) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_marciodepaula-lv_root / ext4 4096 4096 12525244 10828552 10201045 3137536 2956330 2956330
:/dev/sda3 /boot ext4 1024 1024 508745 448766 423166 128016 127677 127677
:/dev/mapper/vg_marciodepaula-lv_home /home ext4 4096 4096 6249826 1499507 1186163 1566720 1563332 1563332
:
Comment 1 marciobraz2010 2012-06-04 21:40:46 EDT
Created attachment 589323 [details]
File: backtrace
Comment 2 marciobraz2010 2012-06-04 21:40:49 EDT
Created attachment 589324 [details]
File: maps
Comment 3 marciobraz2010 2012-06-04 21:40:51 EDT
Created attachment 589325 [details]
File: dso_list
Comment 4 Milan Crha 2012-06-05 03:17:28 EDT
Thanks for a bug report. I see the crash happened in Birthdays & Anniversaries calendar, which has some fixes for 3.4.3 of evolution-data-server. The release with the fixes will be done somewhere around June 18th. I would wait with this till it's released, because the calendar is not working properly without those fixes. I suggest to disable that calendar in Calendar view of evolution, to avoid similar crashes until the release is done.

It'll be good if you could retest once the update is available in Fedora.
Comment 5 Fedora End Of Life 2013-07-03 20:13:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:42:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.